Package com.emc.documentum.rest.parser.json.reader.field

# Class AbstractFieldJsonDeserializer

java.lang.Object
com.emc.documentum.rest.parser.json.reader.field.AbstractFieldJsonDeserializer

All Implemented Interfaces:
  `AnnotatedFieldBindingProcessor`, `AnnotatedFieldDeserializer<com.emc.documentum.rest.parser.json.reader.TypeJsonParser>`

Direct Known Subclasses:
  `ArrayFieldJsonDeserializer`, `DelayedFieldJsonDeserializer`, `EntryFieldJsonDeserializer`, `MapFieldJsonDeserializer`, `ObjectFieldJsonDeserializer`, `SimpleDataFieldJsonDeserializer`, `SkipFieldJsonDeserializer`

public abstract class AbstractFieldJsonDeserializer extends Object implements AnnotatedFieldDeserializer<com.emc.documentum.rest.parser.json.reader.TypeJsonParser>
This abstract class has default implementation for JSON field deserializer. Also it contains JSON specified parser.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractFieldJsonDeserializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected com.fasterxml.jackson.core.JsonParser`
  `asJacksonParser(com.emc.documentum.rest.parser.json.reader.TypeJsonParser parser)`
  `boolean`
  `isCompatibleMediaType(org.springframework.http.MediaType mediaType)`
  Check if the message serializer or deserializer is compatible with the specified media type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.emc.documentum.rest.wire.AnnotatedFieldDeserializer

  `deserializable, deserialize`

- ## Constructor Details

  - ### AbstractFieldJsonDeserializer

    public AbstractFieldJsonDeserializer()

- ## Method Details

  - ### isCompatibleMediaType

    public boolean isCompatibleMediaType(org.springframework.http.MediaType mediaType)
    Description copied from interface: `AnnotatedFieldBindingProcessor`
    Check if the message serializer or deserializer is compatible with the specified media type.
    Specified by:
      `isCompatibleMediaType` in interface `AnnotatedFieldBindingProcessor`
    Parameters:
      `mediaType` - the media type to check
    Returns:
      `true` for compatible

  - ### asJacksonParser

    protected com.fasterxml.jackson.core.JsonParser asJacksonParser(com.emc.documentum.rest.parser.json.reader.TypeJsonParser parser)